zlib advisory ?

Gerard Beekmans gerard at linuxfromscratch.org
Tue Mar 12 12:29:00 PST 2002


On Tue, Mar 12, 2002 at 08:24:47PM +0100, Oliver Otte wrote:
> Is it possible to make a little how-to-fix-the-zlib-problem for a LFS newbie? (LFS 3.1 base install)
> Any help would be appreciated !

zlib isn't used by the base LFS packages.

Other than that, simply install zlib-1.1.4 and it'll replace the 1.1.3
files and done, everybody that uses dynamic zlib has the bug fixed. The
problem is finding out which packages use private copies of zlib. There's
not much you can do there, except when you find them, either hack the
package and copy the new zlib code in it, or wait for a bug fix from that
package's maintainers.

I don't think there's an easy way to fix packages that use private zlib
copies, the way to fix them is package dependant in most cases, so you'd
get a huge document "if you have this, do this, if you have that, do that,
if you hvae this other one, do that other thing". 

-- 
Gerard Beekmans
www.linuxfromscratch.org

-*- If Linux doesn't have the solution, you have the wrong problem -*-
-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe lfs-security' in the subject header of the message



More information about the lfs-security mailing list